## org.codehaus.groovy.control.io
Class StringReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.StringReaderSource

All Implemented Interfaces:
  HasCleanup, ReaderSource

    public class StringReaderSource

extends AbstractReaderSource

A ReaderSource for source strings.

Version:
  $Id: StringReaderSource.java 7922 2007-09-04 01:42:57Z paulk $
Author:
  Chris Poirier

Field Summary

Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`configuration`

Constructor Summary
`StringReaderSource(String string, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`canReopenSource, cleanup, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringReaderSource

    public StringReaderSource(String string,
                              CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.

  Parameters:
    `string` - string containing script source
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()
                     throws IOException

  Returns a new Reader on the underlying source object.

  Returns:
    the reader to the resource
  Throws:
    `IOException` - if there was an error opening for stream

Copyright © 2003-2008 The Codehaus. All rights reserved.